<template>
  <div :style="dataValueStyle">
    {{ dataValue }}
  </div>
</template>

<script setup name="FormPureText">
import { computed } from 'vue';

const props = defineProps({
  value: {
    type: String,
    default: ''
  },
  record: {
    type: Object,
    default: {}
  }
});

// 内容值
const dataValue = computed(() => {
  return props.record?.formItemContent?.content;
});

const dataValueStyle = computed(() => {
  const { fontSize, fontColor, textAlign, fontWeight } = props.record.formItemContent;
  let style = {
    fontSize: fontSize,
    color: fontColor,
    textAlign: textAlign,
    fontWeight: fontWeight,
  };
  return style;
});
</script>

<style scoped lang="less"></style>
